org.eclipse.jetty.plus.annotation

## Class ContainerInitializer

- java.lang.Object
- - org.eclipse.jetty.plus.annotation.ContainerInitializer

-     public class ContainerInitializer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<String>` | `_annotatedTypeNames`
    `protected Set<String>` | `_applicableTypeNames`
    `protected Class[]` | `_interestedTypes`
    `protected javax.servlet.ServletContainerInitializer` | `_target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerInitializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAnnotatedTypeName(String className)` A class has been found that has an annotation of interest to this initializer.
    `void` | `addApplicableTypeName(String className)`
    `void` | `callStartup(WebAppContext context)`
    `Set<String>` | `getAnnotatedTypeNames()`
    `Set<String>` | `getApplicableTypeNames()`
    `Class[]` | `getInterestedTypes()`
    `javax.servlet.ServletContainerInitializer` | `getTarget()`
    `void` | `setInterestedTypes(Class[] interestedTypes)`
    `void` | `setTarget(javax.servlet.ServletContainerInitializer target)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _target

          protected javax.servlet.ServletContainerInitializer _target

    - #### _interestedTypes

          protected Class[] _interestedTypes

    - #### _applicableTypeNames

          protected Set<String> _applicableTypeNames

    - #### _annotatedTypeNames

          protected Set<String> _annotatedTypeNames

  - ### Constructor Detail

    - #### ContainerInitializer

          public ContainerInitializer()

  - ### Method Detail

    - #### setTarget

          public void setTarget(javax.servlet.ServletContainerInitializer target)

    - #### getTarget

          public javax.servlet.ServletContainerInitializer getTarget()

    - #### getInterestedTypes

          public Class[] getInterestedTypes()

    - #### setInterestedTypes

          public void setInterestedTypes(Class[] interestedTypes)

    - #### addAnnotatedTypeName

          public void addAnnotatedTypeName(String className)

      A class has been found that has an annotation of interest to this initializer.
      Parameters:
        `className` -

    - #### getAnnotatedTypeNames

          public Set<String> getAnnotatedTypeNames()

    - #### addApplicableTypeName

          public void addApplicableTypeName(String className)

    - #### getApplicableTypeNames

          public Set<String> getApplicableTypeNames()

    - #### callStartup

          public void callStartup(WebAppContext context)
                           throws Exception

      Throws:
        `Exception`

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.